const API_URL = "https://pageify.be/"
let API_KEY = ""

async function checkIfKeyExists() {
    const verifyKey = async (key) => {
        const response = await fetch(API_URL + "check_key.lasso?keyid=" + key)
        const rawText = await response.text()
        return rawText.trim() == "Valid"
    }
    chrome.storage.local.get(['keyid'], async function(result) {
		if(result.keyid) {
			//chrome.browserAction.setPopup({popup: "result.html"});
			if(!await verifyKey(result.keyid)) 
            {
                location.href = "setkey.html"
                return;
            }
			API_KEY = result.keyid
            const viewBookmarks = document.getElementById("viewbookmarks");
            viewBookmarks.href = "https://www.pageify.be/-login/logas.lasso?keyid=" + API_KEY
			return;
		}
	});
}

window.onload = async (ev) => {
    await checkIfKeyExists()
    document.getElementById("settings").onclick = (ev) => {
        chrome.storage.local.set({keyid: null}, () => {
            location.href = "setkey.html"
        })
    }
}