//Self explanatory
const API_URL = "https://pageify.be/"

const verifyKey = async (key) => {
	const response = await fetch(API_URL + "check_key.lasso?keyid=" + key)
	const rawText = await response.text()
	return rawText == "Valid"
}

window.onload = async (ev) => {
	chrome.storage.local.get(['keyid'], function(result) {
		if(result.keyid) {
			//chrome.browserAction.setPopup({popup: "result.html"});
			if(!verifyKey(result.keyid)) return;
			location.href = "result.html"
			return;
		}
	});
	const saveIdButton = document.getElementById("saveid")
	saveIdButton.onclick = (ev) => {
		const idTextBox = document.getElementById("keyid")
		if(!verifyKey(idTextBox.value)) return;
		chrome.storage.local.set({keyid: idTextBox.value})
		location.href = "result.html"
	}
}